Package edu.claflin.finder.algo.shortestpath

# Class DijkstraShortestPath

java.lang.Object
edu.claflin.finder.algo.Algorithm
edu.claflin.finder.algo.shortestpath.DijkstraShortestPath

All Implemented Interfaces:
  `Processable<Graph,Graph>`

public class DijkstraShortestPath extends Algorithm

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class edu.claflin.finder.algo.Algorithm

  `Algorithm.GraphSortOrder`

- ## Field Summary

  ### Fields inherited from class edu.claflin.finder.algo.Algorithm

  `args, PROP_PROGRESS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DijkstraShortestPath(ArgumentsBundle bundle)`
  Public Constructor for creating an Algorithm.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `private Node`
  `closestReachableUnvisited(HashMap<Node,Double> shortestPathMap, Graph graph, Set<String> visited)`
  `private double`
  `getWeight(List<Edge> E)`
  `ArrayList<Graph>`
  `process(Graph graph)`
  Processes data.
  `String`
  `toString()`

  ### Methods inherited from class edu.claflin.finder.algo.Algorithm

  `addPropertyChangeListener, cull, getGraphSortOrder, getMinNodeCount, getPartiteNumber, getWeightName, removePropertyChangeListener, setGraphSortOrder, setMinNodeCount, setPartiteNumber, setProgress, setWeightName, zeropad`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DijkstraShortestPath

    public DijkstraShortestPath(ArgumentsBundle bundle)
    Public Constructor for creating an Algorithm.
    Parameters:
      `bundle` - the ArgumentsBundle containing the arguments for the Algorithm object.

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### process

    public ArrayList<Graph> process(Graph graph)
    Description copied from interface: `Processable`
    Processes data.
    Parameters:
      `graph` - the T type object to process.
    Returns:
      the S type object array produced by the processing.

  - ### closestReachableUnvisited

    private Node closestReachableUnvisited(HashMap<Node,Double> shortestPathMap, Graph graph, Set<String> visited)

  - ### getWeight

    private double getWeight(List<Edge> E)